Chat Events
http
GET /api/v1/seller/eventsBase URL: https://buyer-chat-api.wildberries.ru · Module: communications · Section: Buyers Chat · Specification doc ↗
Returns an event list for all chats. To retrieve all events:
- Make the first request without a
nextparameter. - Repeat the request with the
nextparameter value from the previous response untiltotalEventsbecomes0. This will indicate that you have received all events.
Request limit per one seller account:
| Type | Period | Limit | Interval | Burst |
|---|---|---|---|---|
| Personal | 10 s | 10 requests | 1 s | 10 requests |
| Service | 10 s | 10 requests | 1 s | 10 requests |
| Base with secret | 10 s | 10 requests | 1 s | 10 requests |
| Base | 1 h | 1 request | 1 h | 1 request |
Parameters
| Name | In | Type | Req. | Description |
|---|---|---|---|---|
next | query | integer<int64> | no | Paginator. Retrieve the next data packet starting from this moment. Format: Unix timestamp **with milliseconds** |
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | EventsResponse |
400 | Bad request | GetV1SellerEventsResponse400 |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | object |
429 | Too many requests | object |
Structure 200:
resultEventsResultnextinteger<int64>— Paginator. Retrieve the next data set starting from this momentnewestEventTimestring— Newest response event timeoldestEventTimestring— Oldest response event timetotalEventsinteger<int64>— Number of eventseventsEvent[]chatIDstring— Chat IDeventIDstring— Event IDeventTypeEventTypeisNewChatboolean— New chat indicator: -false— chat is not new -true— chat is newmessageobject— Message dataattachmentsEventAttachmentsgoodCardListingnmIDinteger<int64>— WB item number- …
priceinteger<int64>— Actual price with all discounts applied. Charged to the buyer- …
priceCurrencystring— Currency- …
ridstring— Unique order ID. Note:ridcorresponds tosridin the responses of the methods: - Buyers Return Applications - Order Feed - Orders - Sales - Returns and Item Movement Report - Details for the Sales Reports by Report ID - Details for the Sales Reports by Period - Details for the Acquiring Expenses Reports by Report ID - Details for the Acquiring Expenses Reports by Period- …
sizestring— The item size, corresponds towbSizein the listing- …
filesFile[]— FilescontentTypestring— File type- …
datestring— Date of the file upload- …
downloadIDstring— File ID. Download the file- …
namestring— File name- …
urlstring— URL for accessing the file- …
sizeinteger<int64>— File size in bytes- …
imagesImage[]— Imagesdatestring— Date of the image upload- …
downloadIDstring— File ID. Download the file- …
urlstring— URL for accessing the image- …
textstring— Message text
sourcestring— Message sending source: -seller-portal— sellers portal -seller-public-api— Buyers chat API -rusite— buyers portal -global—global.wildberries.ruportal -ios— mobile operating system by Apple -android— Android mobile operating system by GoogleaddTimestampinteger<int64>— Time of event occurrence on the server. Unix timestamp formataddTimestring— Time of event occurrence on the server in UTCreplySignstring— Chat signature. Available only if"isNewChat": true. Required when sending a messagesenderSenderclientNamestring— Buyer's name
errorsstring[]— Errors, if any
Structure 400:
statusnumber— HTTP status codetitlestring— Error titleoriginstring— WB internal service IDdetailstring— Error detailsrequestIdstring— Unique request IDerrorstring— Error text
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
python
from wb_api_client.communications import Configuration, ApiClient
from wb_api_client.communications.api import CommunicationsApi
cfg = Configuration(access_token="<your WB JWT>")
api = CommunicationsApi(ApiClient(cfg))
result = api.get_v1_seller_events(next=...)
print(result)ts
import {
Configuration,
CommunicationsApi,
} from "@valeryverkhoturov/wb-api-client/communications";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new CommunicationsApi(cfg);
const { data } = await api.getV1SellerEvents(next);
console.log(data);go
import (
"context"
"fmt"
wbcommunications "github.com/ValeryVerkhoturov/wb-api-client-go/communications"
)
cfg := wbcommunications.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbcommunications.NewAPIClient(cfg)
result, _, err := client.CommunicationsAPI.GetV1SellerEvents(context.Background()).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)java
import io.github.valeryverkhoturov.wbapi.communications.ApiClient;
import io.github.valeryverkhoturov.wbapi.communications.SecretString;
import io.github.valeryverkhoturov.wbapi.communications.api.CommunicationsApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
CommunicationsApi api = new CommunicationsApi(client);
System.out.println(api.getV1SellerEvents(next));php
use ValeryVerkhoturov\WbApiClient\Communications\Configuration;
use ValeryVerkhoturov\WbApiClient\Communications\SecretString;
use ValeryVerkhoturov\WbApiClient\Communications\Api\CommunicationsApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new CommunicationsApi(new Client(), $config);
print_r($api->getV1SellerEvents());bsl
#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый CommunicationsApi(Настройки);
Сообщить(Клиент.GetV1SellerEvents().Тело);csharp
using ValeryVerkhoturov.WbApiClient.Communications.Api;
using ValeryVerkhoturov.WbApiClient.Communications.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new CommunicationsApi(config);
Console.WriteLine(api.GetV1SellerEvents());rust
use wb_api_client::communications::apis::{configuration::Configuration, communications_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = communications_api::get_v1_seller_events(&cfg, next).await;
println!("{:#?}", result);
}